Imports System
Imports System.Collections.Generic
Imports System.Text
Imports System.Web.Services.Protocols

Public Class AuthenticationExtensionAttribute
    Inherits SoapExtensionAttribute
    Private mPriority As Integer

    Public Overloads Overrides ReadOnly Property ExtensionType() As Type
        Get
            Return GetType(AuthenticationExtension)
        End Get
    End Property

    Public Overloads Overrides Property Priority() As Integer
        Get
            Return mPriority
        End Get
        Set(ByVal value As Integer)
            mPriority = value
        End Set
    End Property
End Class
